##
## Copyright (c) 2021 The Yaook Authors.
##
## This file is part of Yaook.
## See https://yaook.cloud for further info.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
{% set pod_labels = {} %}
{% set _ = pod_labels.update(labels) %}
{% set _ = pod_labels.update({'state.yaook.cloud/component': params.memcached_component}) %}
apiVersion: v1
kind: Service
metadata:
  name: {{ "%s-cache" | format(labels['state.yaook.cloud/parent-name']) }}
spec:
  selector: {{ pod_labels }}
  ports:
  - name: memcached
    port: 11211
    targetPort: 11211
    protocol: TCP
  - name: metrics
    port: 9337
    targetPort: 9337
    protocol: TCP
  clusterIP: "None"
